addpath(genpath('../matlab'))
addpath('../src_mex')

model_gpu_converted = ConvertCPPtoMAT(p,model_gpu_extended);

% tic
% [model,p] = ProcessMexGPUOutputs_liq(p, model_gpu_converted);
% toc

QuarterLength = 3;
NumQuartersExcludeAfterReentry = 20;
TBurn = 1000;
T = TBurn + 10000;

Us_z = rand(T,1);
Us_x = rand(T,1);
Us_m = rand(T,1);
Us_reenter = rand(T,1);

[sim,stats] = SimSinglePath_mex_output(p,model_gpu_converted,T,TBurn,Us_z,Us_x,Us_m,Us_reenter,QuarterLength,NumQuartersExcludeAfterReentry)