#include "mex.h"
#include <cstdio>
#include <cstdlib>
#include "liquidity_mex_defs.h"
// #include "liquidity_output_to_mat.h"


void mexFunction(int nlhs, mxArray *plhs[], int nrhs, mxArray *prhs[]) {

	if (nrhs != 1)
	{
		mexErrMsgIdAndTxt("mexTest2:nrhs", "Should have exactly 1 input");
	}

	/*
	if (nlhs != 1)
	{
		mexErrMsgIdAndTxt("mexTest2:nlhs", "Should have exactly 1 output");
	}
	*/

	if (!mxIsStruct(prhs[0])) {
		mexErrMsgIdAndTxt("mexTest2:InputNotStruc", "Input must be a structure.");
	}

	parms_bsl_mod p;

	if (p.readparms(prhs[0]) == EXIT_SUCCESS)
	{

		p.matlab_display_cpu_parms();

		// run vfi


	}
	else
	{
		mexPrintf("Error reading parameters.\n");
	}

}